/*************************************************************************/
/*************************************************************************/
/*                                                                       */
/*  File Name : AirInitializer.h                                         */
/*                                                                       */
/*       Date : May, 1997                                                */
/* Updated at : December 6, 1997                                         */
/*                                                                       */
/*     Author : H. Timucin OZDEMIR                                       */
/*                                                                       */
/*************************************************************************/
/*
    Initialize the first population randomly.
*/
/*************************************************************************/

#ifndef _AirInitializer_h
#define _AirInitializer_h

#include <Initializer.h>
#include <Population.h>
#include <Chromosomes.h>
#include "AirScheduleProblem.h"

class AirInitializer : public Initializer
{
  public:
   AirInitializer(AirScheduleProblem*);
   virtual void apply(Population&);
   virtual void updateFromPopulation(Population& Pop, 
			Chromosomes *ChroList[], int Size);
  
  private :
   AirScheduleProblem *myProblem;
}; // end of AirInitializer
#endif
